import NameInput, { selectedName } from "../atoms/NameInput";
import LocationInput, { selectedLocation } from "../atoms/LocationInput";
import RenderTable from "../atoms/RenderTable";
import "./Form.css";
import { useEffect, useRef, useState } from "react";

export default function Form() {
  const [table, setTable] = useState([]);
  const [isNameValid, setIsNameValid] = useState(false);
  const locationRef = useRef();
  const nameRef = useRef();

  useEffect(() => {
    selectedLocation.subscribe((value) => {
      locationRef.current = value;
    });

    selectedName.subscribe((value) => {
      nameRef.current = value;
      value.isValid === true ? setIsNameValid(true) : setIsNameValid(false);
    });
  }, []);

  function addToTable() {
    setTable([
      { name: nameRef.current.name, location: locationRef.current },
      ...table,
    ]);
  }

  function clearTable() {
    setTable([]);
  }

  return (
    <div className="Form-container">
      <form onSubmit={(e) => e.preventDefault()}>
        <NameInput />
        <LocationInput />
        <div className="Form-actions">
          <button onClick={clearTable}>Clear</button>
          <button type="submit" disabled={!isNameValid} onClick={addToTable}>
            Add
          </button>
        </div>
      </form>
      <RenderTable records={table} />
    </div>
  );
}
