import "./RenderTable.css";

export default function RenderTable({ records }) {
  const tableRows = records.map((record) => {
    return (
      <tr>
        <td>{record.name}</td>
        <td>{record.location}</td>
      </tr>
    );
  });

  while (tableRows.length < 5) {
    tableRows.push(
      <tr>
        <td></td>
        <td></td>
      </tr>,
    );
  }

  return (
    <table className="Form-table">
      <thead>
        <tr>
          <th scope="col">Name</th>
          <th scope="col">Location</th>
        </tr>
      </thead>
      <tbody>{tableRows}</tbody>
    </table>
  );
}
